Package gnu.io

## Class Zystem

- java.lang.Object
- - gnu.io.Zystem

-     public class Zystem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `FILE_MODE` |
    `static int` | `J2EE_MSG_MODE` |
    `static int` | `J2SE_LOG_MODE` |
    `static int` | `MEX_MODE` |
    `static int` | `NET_MODE` |
    `static int` | `PRINT_MODE` |
    `static int` | `SILENT_MODE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Zystem()` | Constructor.
    `Zystem​(int m)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `filewrite​(java.lang.String s)` |
    `void` | `finalize()` |
    `boolean` | `report​(java.lang.String s)` |
    `boolean` | `reportln()` |
    `boolean` | `reportln​(java.lang.String s)` |
    `void` | `startLogger()` |
    `void` | `startLogger​(java.lang.String t)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SILENT_MODE

          public static final int SILENT_MODE

      See Also:
        Constant Field Values

    - #### FILE_MODE

          public static final int FILE_MODE

      See Also:
        Constant Field Values

    - #### NET_MODE

          public static final int NET_MODE

      See Also:
        Constant Field Values

    - #### MEX_MODE

          public static final int MEX_MODE

      See Also:
        Constant Field Values

    - #### PRINT_MODE

          public static final int PRINT_MODE

      See Also:
        Constant Field Values

    - #### J2EE_MSG_MODE

          public static final int J2EE_MSG_MODE

      See Also:
        Constant Field Values

    - #### J2SE_LOG_MODE

          public static final int J2SE_LOG_MODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Zystem

          public Zystem​(int m)
                 throws UnSupportedLoggerException

      Throws:
        `UnSupportedLoggerException`

    - #### Zystem

          public Zystem()
                 throws UnSupportedLoggerException

      Constructor. Mode is taken from the java system property "gnu.io.log.mode". The available values are :
      - SILENT_MODE No logging
      - FILE_MODE log to file
      - NET_MODE
      - MEX_MODE
      - PRINT_MODE
      - J2EE_MSG_MODE
      - J2SE_LOG_MODE log to java.util.logging
      Throws:
        `UnSupportedLoggerException`

  - ### Method Detail

    - #### startLogger

          public void startLogger()
                           throws UnSupportedLoggerException

      Throws:
        `UnSupportedLoggerException`

    - #### startLogger

          public void startLogger​(java.lang.String t)
                           throws UnSupportedLoggerException

      Throws:
        `UnSupportedLoggerException`

    - #### finalize

          public void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### filewrite

          public void filewrite​(java.lang.String s)

    - #### report

          public boolean report​(java.lang.String s)

    - #### reportln

          public boolean reportln()

    - #### reportln

          public boolean reportln​(java.lang.String s)